API Reference
Inventory
Stock levels and inventory items.
7 endpoints· Auth: API Key
get
/api/v1/store/integrations/catalog/inventory API KeyGet inventory
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/catalog/inventory" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
put
/api/v1/store/integrations/catalog/inventory/{inventoryItemId} API KeyUpdate inventoryItemId
Path parameters
| inventoryItemIdrequired string (uuid) | — |
Request body
application/json
{
"quantityOnHand": 0
}| quantityOnHand number (double) | — |
Responses
200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/catalog/inventory/{inventoryItemId}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"quantityOnHand": 0
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/inventory API KeyGet inventory
Query parameters
| warehouse_id string (uuid) | — |
| include_inactive boolean | — |
| page integer (int32) | — |
| per_page integer (int32) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/inventory" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/inventory API KeyCreate inventory
Request body
application/json
{
"storeProductId": "00000000-0000-0000-0000-000000000000",
"warehouseId": "00000000-0000-0000-0000-000000000000",
"quantityOnHand": 0
}| storeProductId string (uuid) | — |
| warehouseId string (uuid) | — |
| quantityOnHand number (double) | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/inventory" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"storeProductId": "00000000-0000-0000-0000-000000000000",
"warehouseId": "00000000-0000-0000-0000-000000000000",
"quantityOnHand": 0
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/inventory/{itemId} API KeyGet itemId
Path parameters
| itemIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/inventory/{itemId}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/store/integrations/inventory/{itemId} API KeyUpdate itemId
Path parameters
| itemIdrequired string (uuid) | — |
Request body
application/json
{
"quantityOnHand": 0,
"reorderLevel": 0,
"isActive": false,
"warehouseId": "00000000-0000-0000-0000-000000000000"
}| quantityOnHand number (double) | — |
| reorderLevel number (double) | — |
| isActive boolean | — |
| warehouseId string (uuid) | — |
Responses
200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/inventory/{itemId}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"quantityOnHand": 0,
"reorderLevel": 0,
"isActive": false,
"warehouseId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/inventory/{itemId} API KeyDelete itemId
Path parameters
| itemIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/inventory/{itemId}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu